#
# spec file for package perl-Net-Daemon
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Net-Daemon
Version:        0.49
Release:        1.13
#Upstream:  Am Eisteich 9 72555 Metzingen Germany Phone: +49 7123 14887 Email: joe@ispsoft.de All rights reserved. You may distribute this package under the terms of either the GNU General Public License or the Artistic License, as specified in the Perl README file.
%define cpan_name Net-Daemon
Summary:        Perl extension for portable daemons
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Sys::Syslog) >= 0.29
Requires:       perl(Sys::Syslog) >= 0.29
%{perl_requires}

%description
Net::Daemon is an abstract base class for implementing portable server
applications in a very simple way. The module is designed for Perl 5.005
and threads, but can work with fork() and Perl 5.004.

The Net::Daemon class offers methods for the most common tasks a daemon
needs: Starting up, logging, accepting clients, authorization, restricting
its own environment for security and doing the true work. You only have to
override those methods that aren't appropriate for you, but typically
inheriting will safe you a lot of work anyways.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README

%changelog
* Wed Sep 30 2020 Tina Müller <tina.mueller@suse.com>
- Add manual license
* Sat Sep 26 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.49
  see /usr/share/doc/packages/perl-Net-Daemon/ChangeLog
  2020-09-22 Todd Rinaldo <toddr@cpan.org> (0.49)
  * Perl 5.6 is the minimum required version now.
  * RIP Thread.pm it has not been relevant since 5.6
  * Now using github CI to monitor the major platforms.
  * .gitignore for better management
  * Update the MANIFEST
  * Perltidy the code base.
  * use strict, warnings, no vars, our
  * Remove perl 4-ish subroutine calls
  * Require Sys::Syslog 0.29 to function properly.
  * t/base.t -> Test::More
  * Improve skipall messages and detection of ithreads/forks
  * Disable t/ithreadm.t for Windows See https://github.com/toddr/Net-Daemon/issues/19
  * Only load threads if forks hasn't already been loaded and threads exist.
  * Update tracker location to github
  * Fix ReadConfigFile implementation traversing @INC
* Tue Dec 13 2011 coolo@suse.com
- license is "as perl"
* Thu Mar 31 2011 coolo@novell.com
- update to 0.48
  * t/forkm.t Patched perl Leon Timmermans
    http://rt.perl.org/rt3/Public/Bug/Display.html?id=83646
  * lib/Net/Daemon.pm Patched per bug 32887
    "ithreads not detected due to a typo"
  * lib/Net/Daemon.pm Fixed "Subroutine import redefined" problem
    that perl 5.8.8 CPAN testers was getting.  It was due to
    more than one "require threads" being run.
  * lib/Net/Daemon.pm Used "make dist" to create the uploaded
  * lib/Net/Daemon.pm Added ServClose patch by Gaspar Chilingarov
  * t/thread.t Added patches by Daniel Macks and Joe McMahon,
    and added Test::More and skip_all for Windows < 5.10
  * Added necessary thread sharing to work with 5.10
    threads model: regexp-threads,
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Jul 16 2007 ug@suse.de
- update to version 0.43
- lib/Net/Daemon.pm  Needed to up the VERSION number
- t/forkm.t: Added a wait so that the parent will not loop
  around and make another child until the previous child has
  been destroyed.
- t/forkm.t: When all ten childs are exited,
  sub CatchChild will now exit.
- t/threadm.t: The tests are now skipped with a
  passing indication when usethreads is defined, which
  would mean that the ithreadm tests are the ones that
  matter.
  Test.pm: A patch from todd.e.rinaldo was used.  I do
  not remember what the issues were.
* Wed Oct 25 2006 ug@suse.de
- Update to version 0.39
- a testsuite fixed
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 18 2004 nashif@suse.de
- Update to version 0.38
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 nashif@suse.de
- use DESTDIR
- fixed file list
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
* Fri Jun 13 2003 nashif@suse.de
- Fixed file list
* Mon May 12 2003 nashif@suse.de
- Update to version 0.37
- Fix default file permissions
* Tue Dec 11 2001 nashif@suse.de
- Update to version 0.36
* Thu Mar  8 2001 nashif@suse.de
- Fixed %%files in spec
* Fri Feb 23 2001 nashif@suse.de
- Update to version 0.34
* Mon Nov 27 2000 nashif@suse.de
- Initial Release (version 0.32)
